VisimBox 1.0 VisimBox 3d simulation and visualisation ToolBox

- Main Page
- Packages
- Classes
- Files

- Packages
- Package Functions

Packages | Classes | Enumerations | Functions
Package VisimBox.Renderer

## Packages
package | Render2D
package | RenderObjects
## Classes
class | BaseRenderWindow
class | HWBuffer
| Abstract base class for HW buffers. More...
interface | ICamera
| interface for camera More...
interface | IHWBuffer
| Abstract interface for HW renderer buffers (used for index and vertex buffers) More...
interface | IIndexBuffer
class | IndexBuffer
| Abstract base for index buffer, storing indices for elements. More...
class | IndexBufferManager
| Abstract base manager for index buffers. More...
interface | IRenderContext
interface | IRenderer
| Interface for renderer. More...
class | RendererEventArgs
| Event arguments for renderer. More...
interface | ILight
class | Light
class | LightManager
| Abstract light manager. More...
class | MaterialManager
| Abstract material manager. More...
interface | IRenderMaterial
| Interface for render material. More...
struct | StandardColorValues
| Standard color material descriptor. More...
class | RenderMaterial
| Base rendering material. More...
class | MeshManager
class | RenderContext
| Rendering context for renderer - either standalone renderer window or embedded renderingguicontrol. More...
class | Renderer
struct | RenderQueueSettings
class | RenderQueue
| rendering queue More...
interface | IRenderWindow
class | StandardCamera
class | FPSCamera
| Constrained camera with locked X rotation (rolling left to right) More...
class | Texture
| Basic texture class. More...
class | TextureManager
| Base texture manager. More...
class | VertexBufferManager
| Abstract base for vertex buffer manager. More...
interface | IVertexBuffer
| Interface for vertex buffer - vertex data stored inside the renderer (in graphics memory) More...
class | VertexBuffer
| Base abstract class for vertexbuffers. More...
struct | Viewport
| Viewport (window) for showing scene. Renderer window can contain many different viewports for different cameras/view settings. More...
class | RenderContextSettings
| class containing info for render context settings and for it's initialization More...
class | ViewQuality
| Viewport settings - type of view which shall be used to render viewport (wireframe/surfaces, no lightning etc...) More...
## Enumerations
enum | LightTypes { Ambient = 0, Directional = 1, Position = 2, Spot = 3 }
| Basic types of lights. More...
enum | RenderMaterialType { Simple, SimpleTextured, Colored, Textured, Enhanced, User }
| Type of the render material. More...
enum | MaterialElement { Ambient = 0, Diffuse = 1, Specular = 2, Emmissive = 3 }
| Color elements. More...
enum | TextureFormat { RGB, RGBA, GRAY, LA4, FLOAT }
| Types of supported texture formats. More...
enum | ShadingType { No, Flat, PerVertex, PerPixel }
| Enums for the type of the shading (no shading at all, flat shading same for the surface, per vertex shading and per pixel lighting are possible. More...
enum | TexturingType { No, Basic, Advanced, Full }
| Enums for quality setting of the textures - no textures, only basic diffuse map, standard materials, all types of texturing. More...
enum | MaterialQuality { No, Basic, Advanced, Full }
| Enums for quality setting of rendering materials, full is used for super quality materials. More...
## Functions
delegate void | RendererEvent (object sender, RendererEventArgs e)
| Delagate for renderer event declaration.

## Enumeration Type Documentation

enum VisimBox::Renderer::LightTypes

Basic types of lights.

Enumerator:

  Ambient | Ambient all encompassing light.
  Directional | Directional light coming from the inifinite distant source (sun)
  Position | Positional light coming from point source.
  Spot | Spot light (cone of light)

enum VisimBox::Renderer::MaterialElement

Color elements.

Enumerator:

  Ambient | Ambient color (for ambient lightning)
  Diffuse | Basic diffuse color.
  Specular | Specular color.
  Emmissive | Emmissive color (self lighting)

enum VisimBox::Renderer::MaterialQuality

Enums for quality setting of rendering materials, full is used for super quality materials.

Enumerator:

  No |
  Basic |
  Advanced |
  Full |

enum VisimBox::Renderer::RenderMaterialType

Type of the render material.

Enumerator:

  Simple | Very simple color material, just color (for unlighted things)
  SimpleTextured | Very simple color material, just color (for unlighted things) + texture.
  Colored | Simple color material.
  Textured | Textured color material.
  Enhanced | Enhanced material, per pixel lightning, normalmaps and other standard shader functions.
  User | User specified material (uses custom shader)

enum VisimBox::Renderer::ShadingType

Enums for the type of the shading (no shading at all, flat shading same for the surface, per vertex shading and per pixel lighting are possible.

Enumerator:

  No |
  Flat |
  PerVertex |
  PerPixel |

enum VisimBox::Renderer::TextureFormat

Types of supported texture formats.

Enumerator:

  RGB | RGB texture with 8 bits per channel, 8 bits for alpha, but unused.
  RGBA | RGBA texture, 8 bits per color channel, 8 bits for alpha value.
  GRAY | 8 bit Grayscale texture
  LA4 | Luminance with alpha - 4 bits for luminance, 4 bits for alpha.
  FLOAT | Float texture - for zbuffer textures.

enum VisimBox::Renderer::TexturingType

Enums for quality setting of the textures - no textures, only basic diffuse map, standard materials, all types of texturing.

Enumerator:

  No |
  Basic |
  Advanced |
  Full |

## Function Documentation

delegate void VisimBox.Renderer.RendererEvent | ( | object | sender,
|  | RendererEventArgs | e
| ) |  |

Delagate for renderer event declaration.

Parameters:

  renderer | Renderer calling event
  e | Argument

All Classes Namespaces Files Functions Variables Enumerations Properties Events